Macaulay2 » Documentation
Packages » Graphs :: hasOddHole
next | previous | forward | backward | up | index | toc

# hasOddHole -- checks whether a graph has a odd hole

- Usage:
    `oddHole = hasOddHole G`
- Inputs:
  - G, a graph,
- Outputs:
  - oddHole, a Boolean value, whether the graph has an odd hole

## Description

A graph has an odd hole if it has an induced cycle that is odd and has length of at least 5.

    i1 : G = graph({{1,2},{2,3},{3,4},{4,5}},EntryMode=>"edges");

    i2 : hasOddHole G

    o2 = false

## See also

- cycleGraph -- Constructs a cycle graph
- isPerfect -- checks whether a graph is perfect
- isChordal -- checks whether a graph is chordal

## Ways to use hasOddHole:

- `hasOddHole(Graph)`

## For the programmer

The object hasOddHole is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Graphs.m2:4257:0.